EPiServer SP3 IIS7 problems.

Vote:
 

Hi Guys,

I've set up a Vanilla EPiServer site version 5 SP3 but I'm having problems with some files not loading up. I've tried it both on Class .NET AppPool and a Integrated AppPool both with different problems on IIS7.

I have installed both the public templates and the demoTemplates (with Blog and Forum).

Using the Classic .Net AppPool the site loads up as it should; however, nothing within the Util folder will load up and it will come back with a 403.1 Forbidden error where as other files in other folders will work.

Is there a page where I can see how to get this set up and hosted on IIS7 properly?

Thanks,

Chris

 

#23833
Sep 17, 2008 12:35
Vote:
 

I'm afraid that there is no support for IIS7 on EPiServer CMS 5 SP3. The IIS7 support will come in the R2 release.

This link is for SP2 but it's still valid for SP3 aswell.

System Requirements

#23835
Sep 17, 2008 13:22
Vote:
 
We had to downgrade one of our sites to SP2 beacuse some of us were using IIS7. SP3 seems dangerous.. :)
#23837
Sep 17, 2008 13:50
Vote:
 

Thanks for that - will save a lot of bother.

 

Erik - Did downgrading to SP2 work since as the link above shows SP2 doesn't work on IIS7?

#23844
Sep 17, 2008 14:43
Vote:
 

Chris,

If you install with EPiServer Manager it will add a lot of IIS meta data settings.

Some of those settings will generate 403.1 on the util folder after you have upgraded to Vista SP1.

I recommend editing C:\Windows\System32\inetsrv\config\applicationHost.config or creating a new blank site and point it to your web application root folder.

/Fredrik 

#23867
Sep 17, 2008 18:19
Vote:
 

Fredrik,

I've gone through and removed a few of the IIS meta data settings for the site but it still isn't playing nicely. I'll have a look through tomorrow more thoroughly and see if I can get anywhere.

Thanks for you continued help EPiServer community,

Chris

#23910
Sep 18, 2008 18:59
Vote:
 
Chris, SP2 works fine for me on Vista.
#23976
Sep 19, 2008 13:16
pn
Vote:
 

 

We did not have any official support for IIS7 in EPiServer CMS 5, that is all introduced in the R2 release.

I recommend you to upgrade to EPiServer CMS 5 R2, Released September 30th. It fully supports what you are asking for and more.

System Requirements - EPiServer CMS 5 R2

http://world.episerver.com/en/Documentation/Items/Tech-Notes/EPiServer-CMS-5/EPiServer-CMS-5-R2/System-Requirements---EPiServer-CMS-5-R2/

 

#24640
Oct 02, 2008 16:43
This thread is locked and should be used for reference only. Please use the Episerver CMS 7 and earlier versions forum to open new discussions.